org.eclipse.emf.cdo.spi.workspace

## Interface InternalCDOWorkspace

- All Superinterfaces:
    CDOElement.StateProvider, CDORevisionProvider, CDOWorkspace, Closeable, INotifier

      public interface InternalCDOWorkspace
      extends CDOWorkspace

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspace

      `CDOWorkspace.DirtyStateChangedEvent, CDOWorkspace.ObjectStatesChangedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_BRANCH_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalCDOWorkspaceBase` | `getBase()`
    `IManagedContainer` | `getContainer()`
    `CDOCommonRepository.IDGenerationLocation` | `getIDGenerationLocation()`
    `CDOChangeSetData` | `getLocalChanges(boolean forward)`
    `InternalRepository` | `getLocalRepository()`
    `InternalCDOSession` | `getLocalSession()`
    `CDOSessionConfigurationFactory` | `getRemoteSessionConfigurationFactory()`
    `InternalCDOView[]` | `getViews()`
    `void` | `replace(String branchPath, long timeStamp, CDOChangeSetData revertData)`
    `void` | `revert(CDOChangeSetData revertData)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspace

      `checkin, checkin, compare, compare, getBranchID, getBranchPath, getLocalChanges, getTimeStamp, isDirty, isFixed, merge, merge, openTransaction, openTransaction, openView, openView, replace, revert, update`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOElement.StateProvider

      `getState`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### NO_BRANCH_ID

          static final int NO_BRANCH_ID

      Since:
        4.2
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getContainer

          IManagedContainer getContainer()

      Since:
        4.2

    - #### getViews

          InternalCDOView[] getViews()

      Since:
        4.2

    - #### getIDGenerationLocation

          CDOCommonRepository.IDGenerationLocation getIDGenerationLocation()

      Since:
        4.1

    - #### getBase

          InternalCDOWorkspaceBase getBase()

      Specified by:
        `getBase` in interface `CDOWorkspace`

    - #### getLocalRepository

          InternalRepository getLocalRepository()

    - #### getLocalSession

          InternalCDOSession getLocalSession()

    - #### getLocalChanges

          CDOChangeSetData getLocalChanges(boolean forward)

      Since:
        4.2

    - #### getRemoteSessionConfigurationFactory

          CDOSessionConfigurationFactory getRemoteSessionConfigurationFactory()

      Since:
        4.1

    - #### revert

          void revert(CDOChangeSetData revertData)

      Since:
        4.2

    - #### replace

          void replace(String branchPath,
                       long timeStamp,
                       CDOChangeSetData revertData)

      Since:
        4.2

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html